Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/HelpPage.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/HelpPage.java	(revision 5593)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/gui/pages/HelpPage.java	(revision 5594)
@@ -15,6 +15,9 @@
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
  */
+package eu.clarin.cmdi.virtualcollectionregistry.gui.pages;
 
-package eu.clarin.cmdi.virtualcollectionregistry.gui.pages;
+import org.apache.wicket.markup.html.basic.Label;
+import org.apache.wicket.markup.html.link.ExternalLink;
+import org.apache.wicket.protocol.http.WebApplication;
 
 /**
@@ -23,4 +26,15 @@
  */
 public class HelpPage extends BasePage {
-    
+
+    public static final String BASE_URI = "eu.clarin.cmdi.virtualcollectionregistry.base_uri";
+
+    public HelpPage() {
+        final String baseUri = WebApplication.get().getServletContext().getInitParameter(BASE_URI);
+        final String serviceBaseUri = String.format("%s/service", baseUri);
+
+        add(new ExternalLink("restLink", serviceBaseUri)
+                .add(new Label("restUrl", serviceBaseUri)));
+        add(new ExternalLink("wadlLink", String.format("%s/application.wadl", serviceBaseUri)));
+    }
+
 }
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/EPICPersistentIdentifierProvider.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/EPICPersistentIdentifierProvider.java	(revision 5593)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/EPICPersistentIdentifierProvider.java	(revision 5594)
@@ -9,7 +9,4 @@
 import java.util.EnumMap;
 import java.util.Map;
-import java.util.UUID;
-import java.util.zip.CRC32;
-import org.apache.commons.codec.binary.Base64;
 import org.apache.commons.httpclient.HttpException;
 import org.slf4j.Logger;
@@ -38,5 +35,5 @@
     private final Configuration configuration;
 
-    @Value("${pid_provider.base_uri}")
+    @Value("${eu.clarin.cmdi.virtualcollectionregistry.base_uri}")
     private String baseUri;
 
Index: /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/GWDGPersistentIdentifierProvider.java
===================================================================
--- /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/GWDGPersistentIdentifierProvider.java	(revision 5593)
+++ /VirtualCollectionRegistry/trunk/VirtualCollectionRegistry/src/main/java/eu/clarin/cmdi/virtualcollectionregistry/pid/GWDGPersistentIdentifierProvider.java	(revision 5594)
@@ -43,5 +43,5 @@
         PersistentIdentifierProvider {
 
-    public static final String BASE_URI = "pid_provider.base_uri";
+    public static final String BASE_URI = "eu.clarin.cmdi.virtualcollectionregistry.base_uri";
 
     private static enum Attribute {
